let url = new URL("{{ stream }}", window.location.origin);
let upstream = url.href;

document.addEventListener("DOMContentLoaded", () => {
    let bodies = document.getElementsByTagName("body");
    if(bodies.length === 1) {
        let body = bodies[0];
        let cast = document.createElement("button");
        let cjs = new Castjs();
        cast.addEventListener("click", () => {
            if(cjs.available) {
                cjs.cast(upstream);
            }
        });
        let xhr = new XMLHttpRequest();
        xhr.addEventListener("load", () => {
            let video = document.createElement("video");
            video.className = "video-js";
            body.appendChild(video);
            let ctype = xhr.getResponseHeader("Content-Type");
            console.log(ctype);
            let options = {};
            options.controls = true;
            options.liveui = true;
            let player = videojs(video, options);
            let source = {};
            source.type = ctype;
            source.src = upstream;
            player.src(source);
        });
        xhr.open("HEAD", upstream, true);
        xhr.send();
    }
});
